{ config, pkgs, lib, ... }:

{
  # See also:
  #   Temporary workaround until https://github.com/nix-community/home-manager/issues/3447 is merged.
  # The keepassxc desktop file is named differently than pkg.name. Thus we add it manually.

  home-manager.users.yoda = { osConfig, config, pkgs, ... }: {
    home.file.keepassxc = {
      target = ".config/autostart/" + "org.keepassxc.KeePassXC" + ".desktop";
      source = (pkgs.keepassxc + "/share/applications/" + "org.keepassxc.KeePassXC" + ".desktop");
    };
  };
}
